Bug 166400 - devel/mk-configure: update to 0.22.0
Summary: devel/mk-configure: update to 0.22.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-25 20:00 UTC by Mikolaj Golub
Modified: 2012-03-26 06:04 UTC (History)
0 users

See Also:


Attachments
file.diff (1.51 KB, patch)
2012-03-25 20:00 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2012-03-25 20:00:32 UTC
* Update to 0.22.0.

* Make MAINTAINER be consistent with what is in my other packages.

======================================================================
Version 0.22.0, by Aleksey Cheusov, Fri,  9 Mar 2012 20:26:34 +0300

  Improvements in cross-compilation. The following variables were
     introduced: TOOLDIR, SYSROOT, TOOLCHAIN_PREFIX and
     MACHINE_GNU_PLATFORM.

  PROGS variable was introduced (sf.net bug #3445658).

  Support for Lua submodules was added (e.g. net.socket.lua ->
  net/socket.lua). New variable LUA_MODULES was introduced for this
  purpose.

  MKPIE (Position Independent Executables), USE_SSP (Stack Smashing
  Protection), USE_FORT and USE_RELRO variables were introduced for
  security reasons.

  Variable OBJDIR_<dir> was introduced.

  mkc.subdir.mk and mkc.subprj.mk: Commands associated with targets
  "all", "install", "clean", "cleandir", "depend", "test",
  "installdirs", "uninstall", "errorcheck" and "filelist" in Makefile
  override the standard behaviour.

  MKC_REQUIRE_HEADERS, MKC_REQUIRE_DEFINES, MKC_REQUIRE_TYPES,
  MKC_REQUIRE_VARS, MKC_REQUIRE_MEMBERS, MKC_REQUIRE_FUNCS<n> and
  MKC_REQUIRE_CUSTOM do not change CFLAGS.

  mkc.subdir.mk and mkc.subprj.mk: "cleandir" target takes into
  account CLEANFILES, CLEANDIRS, DISTCLEANFILES and DISTCLEANDIRS
  variables (removes files).

  PCNAME.<lib> variable was introduced in mkc_imp.pkg-config.mk, this
  is a map from library name to pcname (.pc).

  Improvements for SHRTOUT.

  New variable OBJCOPY was introduced.

  Update of the presentation.

  Fix in manual page (sf.net bug #3441610).

  New regression tests (examples).

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-03-25 20:00:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trociny

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Mikolaj Golub freebsd_committer 2012-03-25 20:04:29 UTC
Responsible Changed
From-To: trociny->freebsd-ports-bugs

Approved.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-03-25 21:40:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2012-03-26 05:50:53 UTC
rm          2012-03-26 04:50:41 UTC

  FreeBSD ports repository

  Modified files:
    devel/mk-configure   Makefile distinfo pkg-descr pkg-plist 
  Log:
  - update to 0.22.0
  
  PR:             166400
  Submitted by:   trociny (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.14      +2 -2      ports/devel/mk-configure/Makefile
  1.12      +2 -2      ports/devel/mk-configure/distinfo
  1.2       +1 -1      ports/devel/mk-configure/pkg-descr
  1.7       +1 -0      ports/devel/mk-configure/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-03-26 06:04:13 UTC
State Changed
From-To: open->closed

Committed, thank you!